Bug 5479 - (int-113566) Polish hardware keyboard: Entering chars with diacritical signs cumbersome
(int-113566)
: Polish hardware keyboard: Entering chars with diacritical signs cumbersome
Status: RESOLVED WONTFIX
Product: UI Specification
General
: 5.0/(1.2009.41-10)
: All Linux
: Low enhancement with 10 votes (vote)
: ---
Assigned To: Joaquim Rocha
: input-method-framework-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-15 17:01 UTC by Tomasz Dominikowski
Modified: 2015-05-15 09:54 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tomasz Dominikowski (reporter) 2009-10-15 17:01:09 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:

Use the Polish keyboard layout and see how hard it is to type something serious
efficiently, when you have to bring up the onscreen keyboard with a table of
regional characters every time you need to type one of them. And that is very,
very often. It's quicker to type on a numeric keypad with T9 than by using this
method.

Start the note taking application. 
Try writing: "Zażółć gęślą jaźń". 
Notice how every time you need to input a Polish character, you need to hit the
blue arrow button, then the Symbol button, then move to touchscreen and select
the desired letter.

EXPECTED OUTCOME:

I should not have to use the touchscreen. This can be done a bit more simple
and a lot more efficiently.

To input "Ż":
Blue arrow button, Symbol button, Z button

To input "Ź":
Blue arrow button, Symbol button, X button

To input "Ę":
Blue arrow button, Symbol button, E button

To input "Ą":
Blue arrow button, Symbol button, A button

To input "Ć":
Blue arrow button, Symbol button, C button

To input "Ł":
Blue arrow button, Symbol button, L button

To input "Ó":
Blue arrow button, Symbol button, O button

To input "Ś":
Blue arrow button, Symbol button, S button

To input "Ń":
Blue arrow button, Symbol button, N button

Obviously same thing would apply to non-capital letters. What I'm trying to
eliminate here is the need to use the touchscreen, which slows things down
immensly. This could probably be adapted for other languages. The screen for
symbols should obviously show up anyway.

ACTUAL OUTCOME:

I have to hit the blue arrow button, then the symbol button, then move to the
touchscreen interface and choose the desired letter on the screen.

REPRODUCIBILITY:
(always/sometimes/once)

Always.

EXTRA SOFTWARE INSTALLED:

None that would interfere.

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.9.0.14)
Gecko/2009090216 Ubuntu/9.04 (jaunty) Firefox/3.0.14
Comment 1 Andre Klapper maemo.org 2009-10-15 20:30:18 UTC
So what we talk about is setting
Settings > Text Input > Hardware keyboard layout to "Polski".

I'm actually surprised seeing that the Czech layout provides composite keys,
but the Polish does not (if my hardware layout data here is correct, please
feel more than free to correct me about the polish one):

Right part of Czech hardware keyboard layout:
I O P ˊ ↞
K L Ů ˅ ↲
Spc . ← →
This means that ALL Czech chars with a diacritical sign can be entered without
using the onscreen special character palette (ťď are covered by ˅).

Right part of Polish hardware keyboard layout:
I O P , ↞
K L . ↑ ↲
Spc ← ↓ →
This means that for ANY char with a diacritical sign (ĄąĆćĘꣳŃńÓ󌜏źŻż) you
must use the onscreen special character palette which takes some time.

Whou. This quite sucks.

According to int-113566 comment 23 "Polish user is able now to enter all Polish
characters with both keyboards: Onscreen virtual Finger Keyboard and Hardware
and HWKB."
I cannot agree with that.
Comment 2 Tomasz Dominikowski (reporter) 2009-10-15 20:59:58 UTC
Your hardware layout data is correct.
Comment 3 Joaquim Rocha 2009-10-19 19:44:29 UTC
Reassigning to Specs.
Comment 4 Dawid Lorenz 2009-12-14 17:32:11 UTC
I concur with author of this entry, from Polish N900 user perspective, typing
anything in Polish language with hardware keyboard is a disaster and current
solution prevents from using it in any comfortable manner.

I can see this issue hanging for a while, however I'm hoping it will get fixed
with next software update.
Comment 5 Dawid Lorenz 2009-12-27 16:44:03 UTC
I have created custom xkb config for typing Polish characters directly on the
hardware keyboard via Fn+Ctrl combination. Side-effect is that it completely
removes virtual keypad, so I guess it can't be used "officialy", however I
think that virtual keypad should be optional altogether anyway.

Custom config file and further instructions here:
http://blog.adl.pl/polish-hardware-keyboard-layout-for-nokia-n900/400
The only bit is that new config requires to *hold* Fn+Ctrl keys, I don't know
how to set it up so I could press Fn, then Ctrl, then a letter separately.

I hope that solves the problem until official solution is in place.
Comment 6 Andre Klapper maemo.org 2012-03-24 11:40:43 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )